Subject: Re: [PATCH 2/2] color: support "default" to restore fg/bg color

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Oct 2021 15:49:27 -0700

"brian m. carlson" <[email-masked]> writes:

> For an example of why this differs from white on black, let me mention
> that I use a semi-transparent terminal, where a black background is
> opaque black, and the default is semi-transparent.  I assume other
> possibilities include patterned backgrounds (Enlightenment, anyone?).
> Whether you want to include something to this effect in the commit
> message is up to you, but I provide it for the interested reader.

It would help support the description of the cause, I would think.

I am also OK with these changes.  [1/2] is good for completeness,
and being able to say "go back to the default" without having to
know what the default is with [2/2] is also a good change.

Thanks, both.